Bug 1017931 - [origin] latest vagrant gem does not install origin correctly.
[origin] latest vagrant gem does not install origin correctly.
Status: CLOSED EOL
Product: OpenShift Origin
Classification: Red Hat
Component: Documentation (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: mfisher
Peter Ruan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 15:49 EDT by Peter Ruan
Modified: 2017-01-25 01:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-25 01:38:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2013-10-10 15:49:19 EDT
Description of problem:
latest vagrant gem does not install origin correctly.

Version-Release number of selected component (if applicable):
vagrant-openshift-0.0.5.gem

How reproducible:

always.

Steps to Reproduce:
1.
2.
3.

Actual results:
Module built: /data/puppet-openshift_origin/pkg/openshift-openshift_origin-0.1.15.tar.gz
Notice: Preparing to uninstall 'openshift-openshift_origin' ...
Error: Could not uninstall module 'openshift-openshift_origin'
  Module 'openshift-openshift_origin' is not installed
Notice: Preparing to install into /etc/puppet/modules ...
Notice: Downloading from https://forge.puppetlabs.com ...
Notice: Installing -- do not interrupt ...
/etc/puppet/modules
\u2514\u2500\u252c openshift-openshift_origin (v0.1.15)
  \u251c\u2500\u2500 puppetlabs-ntp (v2.0.1)
  \u2514\u2500\u2500 puppetlabs-stdlib (v4.1.0)
Applying openshift puppet recipe
Info: Loading facts in /etc/puppet/modules/stdlib/lib/facter/puppet_vardir.rb
Info: Loading facts in /etc/puppet/modules/stdlib/lib/facter/facter_dot_d.rb
Info: Loading facts in /etc/puppet/modules/stdlib/lib/facter/root_home.rb
Info: Loading facts in /etc/puppet/modules/stdlib/lib/facter/pe_version.rb
Info: Loading facts in /etc/puppet/modules/openshift_origin/plugins/facter/openshift_mount.rb
Info: Loading facts in /etc/puppet/modules/openshift_origin/plugins/facter/firewalld.rb
running
Error: Invalid parameter domain at /data/configure_origin.pp:19 on node broker.example.com
Error: Invalid parameter domain at /data/configure_origin.pp:19 on node broker.example.com
Redirecting to /bin/systemctl stop  mongod.service
Stopping ActiveMQ Broker...
ActiveMQ Broker was not running.
Redirecting to /bin/systemctl stop  cgconfig.service
Redirecting to /bin/systemctl stop  cgred.service
Redirecting to /bin/systemctl stop  named.service
Redirecting to /bin/systemctl stop  openshift-broker.service
Failed to issue method call: Unit openshift-broker.service not loaded.
Redirecting to /bin/systemctl stop  openshift-console.service
Failed to issue method call: Unit openshift-console.service not loaded.
Redirecting to /bin/systemctl stop  openshift-node-web-proxy.service
Failed to issue method call: Unit openshift-node-web-proxy.service not loaded.
Redirecting to /bin/systemctl stop  sshd.service
Redirecting to /bin/systemctl stop  httpd.service
Redirecting to /bin/systemctl stop  mcollective.service
Redirecting to /bin/systemctl start  mongod.service
Starting ActiveMQ Broker...
Redirecting to /bin/systemctl start  cgconfig.service
Redirecting to /bin/systemctl start  cgred.service
Redirecting to /bin/systemctl start  named.service
Redirecting to /bin/systemctl start  openshift-broker.service
Failed to issue method call: Unit openshift-broker.service failed to load: No such file or directory. See system logs and 'systemctl status openshift-broker.service' for details.
Redirecting to /bin/systemctl start  openshift-console.service
Failed to issue method call: Unit openshift-console.service failed to load: No such file or directory. See system logs and 'systemctl status openshift-console.service' for details.
Redirecting to /bin/systemctl start  openshift-node-web-proxy.service
Failed to issue method call: Unit openshift-node-web-proxy.service failed to load: No such file or directory. See system logs and 'systemctl status openshift-node-web-proxy.service' for details.
Redirecting to /bin/systemctl start  sshd.service
Redirecting to /bin/systemctl start  httpd.service
Redirecting to /bin/systemctl start  mcollective.service
sh: line 25: /etc/cron.minutely/openshift-facts: No such file or directory
Redirecting to /bin/systemctl start  openshift-tc.service
Failed to issue method call: Unit openshift-tc.service failed to load: No such file or directory. See system logs and 'systemctl status openshift-tc.service' for details.
Redirecting to /bin/systemctl reload  openshift-tc.service
Failed to issue method call: Unit openshift-tc.service failed to load: No such file or directory. See system logs and 'systemctl status openshift-tc.service' for details.
Job for network.service failed. See 'systemctl status network.service' and 'journalctl -xn' for details.

Reloading network configuration (via systemctl):  [  OK  ]
Redirecting to /bin/systemctl restart  messagebus.service
Redirecting to /bin/systemctl restart  oddjobd.service
Redirecting to /bin/systemctl reload  openshift-tc.service
Failed to issue method call: Unit openshift-tc.service failed to load: No such file or directory. See system logs and 'systemctl status openshift-tc.service' for details.



http://pastebin.test.redhat.com/169557



Expected results:


Additional info:
Comment 1 Krishna Raman 2013-12-09 15:52:33 EST
Fixed in newer releases. https://github.com/openshift/vagrant-openshift/releases/tag/0.0.9

Note You need to log in before you can comment on or make changes to this bug.